using Microsoft.EntityFrameworkCore;

namespace SQLiteEF;

[PrimaryKey("AppId")]
public class Game(ulong appId, string name)
{
    public ulong AppId { get; init; } = appId;
    public string Name { get; init; } = name;
    public ICollection<Player> PlayedBy { get; init; } = null!;
    public ICollection<TrackedTime> TrackedTimes { get; init; } = null!;
}